Bio::Tools::Run::AnalysisFactory::soap(3)

NAME
Bio::Tools::Run::AnalysisFactory::soap - A SOAP-based access to the list of analysis tools

SYNOPSIS
Do not use this object directly, it is recommended to access it and use it through the Bio::Tools::Run::AnalysisFactory module:

  use Bio::Tools::Run::AnalysisFactory;
  my $list = new Bio::Tools::Run::AnalysisFactory (-access => 'soap')
     ->available_analyses;

DESCRIPTION
All public methods are documented in the interface module "Bio::Factory::AnalysisI".

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Martin Senger (senger@ebi.ac.uk)

COPYRIGHT
Copyright (c) 2003, Martin Senger and EMBL-EBI. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://industry.ebi.ac.uk/soaplab/Perl_Client.html

BUGS AND LIMITATIONS
None known at the time of writing this.

APPENDIX
The main documentation details are in "Bio::Factory::AnalysisI".

  _initialize
 Usage   : my $factory = new Bio::Tools::Run::AnalysisFactory (@args);
           (_initialize is internally called from the 'new()' method)
 Returns : nothing interesting
 Args    : This module recognises and uses following arguments:
             -location
             -dir
             -httpproxy
             -soap
           Additionally, the main module Bio::Tools::Run::AnalysisFactory
           recognises also:
             -access

It populates calling object with the given arguments, and then - for some attributes and only if they are not yet populated - it assigns some default values.

This is an actual new() method (except for the real object creation and its blessing which is done in the parent class Bio::Root::Root in method _create_object).

Note that this method is called always as an object method (never as a class method) - and that the object who calls this method may already be partly initiated (from Bio::Tools::Run::AnalysisFactory::new method); so if you need to do some tricks with the 'class invocation' you need to change Bio::Tools::Run::AnalysisFactory new method, not this one.

-location
    A URL (also called an endpoint) defining where is located a Web Service functioning for this object.

    Default is "http://industry.ebi.ac.uk/soap/soaplab" (an experimental service running at European Bioinformatics Institute on top of most of EMBOSS analyses).

    For example, if you run your own Web Service using Java(TM) Apache Axis toolkit, the location might be something like "http://localhost:8080/axis/services".

-dir
    A name of a Web Service (also called a urn or a namespace).

    Default is AnalysisFactory which corresponds well with the default location.

-httpproxy
    In addition to the location parameter, you may need to specify also a location/URL of an HTTP proxy server (if your site requires one). The expected format is "http://server:port". There is no default value.

-soap
    Defines your own SOAP::Lite object. Useful if you need finer-grained access to many features and attributes of the wonderful Paul Kulchenko's module.

  VERSION and Revision
 Usage   : print $Bio::Tools::Run::AnalysisFactory::soap::VERSION;
           print $Bio::Tools::Run::AnalysisFactory::soap::Revision;

  Defaults
 Usage   : print $Bio::Tools::Run::AnalysisFactory::soap::DEFAULT_LOCATION;
           print $Bio::Tools::Run::AnalysisFactory::soap::DEFAULT_DIR_SERVICE;